#include <OneWire.h>
#include <DallasTemperature.h>

#define ONE_WIRE_BUS 2
 
OneWire oneWire(ONE_WIRE_BUS);
 
DallasTemperature sensors(&oneWire);
 
void setup(void)
{
  // start serial port
  Serial.begin(9600);
  Serial.println("Dallas Temperature IC sample");

  // Start up the library
  sensors.begin();
}
 
 
void loop(void)
{
  sensors.requestTemperatures(); // Send the command to get temperatures

  Serial.print("Temperature is: ");
  Serial.print(sensors.getTempCByIndex(0)); // Why "byIndex"? 
    // You can have more than one IC on the same bus. 
    // 0 refers to the first IC on the wire
 
}
